> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a statutory's parameters

> Retrieve all general parameters of a specific statutory



## OpenAPI

````yaml /openapi-specs/Pagga-MealVoucher.yaml get /mealvoucher/api/statutories/{statutoryId}/general-parameters
openapi: 3.1.0
info:
  title: Lucca-MealVoucher
  version: '1.0'
  description: >-
    Welcome on the documentation for the Lucca MealVoucher API.


    Lucca MealVouchers is an online service that calculates the number of meal
    vouchers to be distributed to employees each month.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Statutory
    description: The object containing all settings.
  - name: Computation
    description: >-
      The result of calculating the number of meal-vouchers to give each
      employee over a month.
  - name: Distributions
    description: The representation of a distribution of meal-vouchers to employees.
paths:
  /mealvoucher/api/statutories/{statutoryId}/general-parameters:
    parameters:
      - $ref: '#/components/parameters/Authorization'
      - $ref: '#/components/parameters/statutoryId'
    get:
      tags:
        - Statutory
      summary: Retrieve a statutory's parameters
      description: Retrieve all general parameters of a specific statutory
      operationId: get-statutory-general-parameters
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                examples:
                  - establishmentConfigurations:
                      - id: fc7de2d4-4ecb-40b0-9d52-8e6540f6dbae
                        establishmentId: 1
                        name: Lucca FR
                        currencySymbol: €
                        startsOn: '2021-03-01T00:00:00'
                        endsOn: null
                    currentVoucherAmount:
                      id: 6d8d98a2-1de2-4f94-a94a-b70d39ed1e25
                      effectiveDate: '2021-03-01T00:00:00'
                      voucherAmount: 10
                      voucherCoveredAmount: 6
                properties:
                  currentVoucherAmount:
                    type: object
                    description: Current values of the meal voucher
                    properties:
                      voucherAmount:
                        type: number
                        description: Amount of a single meal voucher
                      voucherCoveredAmount:
                        type: number
                        description: >-
                          Amount covered by the company of a single meal
                          voucher 
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
    statutoryId:
      name: statutoryId
      in: path
      schema:
        type: string
        format: uuid
      required: true
      description: Unique identifier of the statutory

````